(define (domain gripper)
   
    (:requirements :typing :action-costs)
   
    (:types room ball arm)

    (:predicates
        (at-robby ?x - room)
        (at ?x - ball ?y - room)
        (free ?x - arm)
        (carry ?x - ball ?y - arm)
    )

    (:functions   
       (length ?rooma - room ?roomb - room)
       (total-cost)
    )
   
    (:action move
        :parameters (?x - room ?y - room)
        :precondition (at-robby ?x)
        :effect (and (at-robby ?y)
                (not (at-robby ?x))
                (increase (total-cost) (length ?x ?y))
    ))

    (:action pick
       :parameters ()
       :precondition  ()
       :effect ()
    )

    (:action drop
       :parameters ()
       :precondition  ()
       :effect ()
    )

)
